
.fourier {Fin} 5 V(Out)
.fourier {Fin} 4 V(FEOut)
;.fourier {Fin} 4 V(M3g) V(M4G) V(FCOut)

.params per=1/fin tstart=100*per tstop=tstart+6*per dur=per/1000
;.params per=1/fin tstart=0*per tstop=tstart+100*per dur=per/100
;.params per=1/fin tstart=0*per tstop=20sec dur=per/100


; ripple test
;.params Fin=60 Watts=0 Rload=8 Vrip=44mV/sqrt(2) FripP=106 FripN=134 ; from SIT3X measurements
;.params Fin=60 Watts=0 Rload=8 Vrip=0 FripP=106 FripN=134 ; from SIT3X measurements
;.params Fin=60 Watts=0 Rload=8 Vrip=44mV/sqrt(2) FripP=120 FripN=120 ; from SIT3X measurements

.measure M_V+PP pp V(V+)
.measure tran M_VFpavg avg V(VF+)
.measure tran M_VFprms rms (V(VF+)-M_VFpavg)
.measure M_VF+PP pp V(VF+)
.measure M_FEoutPP pp V(FEOut)

.params Gain=FEGain*OSGain
.params Rload_nom=8 ;Rload
.params Vout = sqrt(Watts*2*Rload_nom)
.params Vin = Vout/Gain

;.params Fin=100 Watts=0 Rload=8 Vrip=109mV/2*sqrt(2) FripP=106 FripN=134
;.params Fin=20Hz Watts=25 Rload=8 Vrip=0 FripP=106 FripN=134
;.params Fin=20Hz Watts=25 Rload=8 Vrip=0 FripP=0 FripN=0
;.params Fin=100Hz Watts=50 Rload=8 Vrip=0 FripP=106 FripN=134
.params Fin=1kHz Watts=1 Rload=8 Vrip=0 FripP=106 FripN=134
;.params Fin=1kHz Watts=50 Rload=4 Vrip=0 FripP=106 FripN=134

;.step param Rload list 4 8
;.step param Rload list .1 8 ; test output shorted  could be a problem without shutdown circuit
;.step param Fin list 100 300 1k 3k
;.step param Watts list 1 4 9 16 25 36 49
;.step param Watts list 1 25  49
;.step param Watts list 1 49 ;25 36
;.step param Watts list 1 16 ;40 50 
;.step param Fin list 1k 10k
;.step param Fin list 30 100 300 1k 3k 10k
;.step param RAtot list 500 1k 
;.step param Rgs12 list 470 1e10
;.step param FEloadsel list 0 1
;.step param Cg1g2 list 1pf 10mF
;.step param Cb list 220uf 2.7mf

;.step param Cb3 list  100uf 220uf 1mf

.params FEsel=1
;.step param FEsel list 0 1

;.step param A .878 .882 .001
;.step param A .895 .90  .001
;.step param A .8 .92 .02
;.step param A .89 1.0 .0275
;.step param A .9 1 .025
;.step param A .93 .94 .0025
;.step param A list .9 .935 1
;.step param A list .88 1
;.step param A .89 .91 .01

; test Rail voltage affect on THD
;.step param Vp list 42 50

;.step param A .90 .92 .005
;.step param A .86 .92 .02
;.step param A .88 .92 .01

;.params Ccasc2=10uFg
;.step param Ccasc2 list 1pf 220uf

;.params Cfegg=22uf
;.step param Cfegg list 1pf 22uf 220uf 

;.step param A list .9 .9125 .925 .95 1
;.step param A .91 .95 .005
;.step param A list .9 .91 .92 .93 
;.step param A .92 .94 .005
;.step param Rload list 4 8 ; 6
;.step param Watts list 1 4 9 16 25  36 49
;.step param Watts list 1  9 25  49
;.step param Vout list 4 8 12 16 20 24 28
;.step param A .89 .91 .01
;.step param A .88 .9 .005
;.step param A list .88  .92
;.step param A .83 .85 .005
;.step param A .8 .83 .01
;.step param A .895 .905 .002
;.step param A .934 .94 .002
# M1 CCS near A=.88

# magic values  1%THD@25W, 25Wclip, M1CCS, H2 phase crossover, J1CCS
# special regions:
# A<M1CCS            push/push SIT signature magnified
# M1CCS<A<H2cross    push/pull negative phase H2
# A=H2cross          push/pull min distortion sounds like XA25
# A=J1M1ACbal        push/pull AC currents the same 
# A>J1CCS            pull/pull SIT signature magnified?  10dB higher distortion
;.step param A list .81 .86 .88 .9042 .934
;.step param A list .86 .899 1 ; good, H2null, noFB
;.step param A list .86  1 ; good,  noFB

;.step param A list .934 .95 .975 1.0
;.step param A .86 .88 .005
;.step param A .9 .906 .002
;.step param A .89 .9 .002
;.step param A list .887 .9042
;.step param A list  .9042 1

;.step param Xgm .1 .5 .1
;;.step param Rcs 20k 60k 10k

;.step param Rload list 4 6 8 10 12 16

;.step param XP8 list .25 .3 .35  ; .3 .4 .5

;.step param Rgs34 list 1m  33  100

;.step param dXptl -5m 10m 5m
;.step param J74Id 6m 8m 1m

;; SIT3X-OS-gmadj-1.spc

;.step param AX 0 .2 .05
;.step param RAtot list 530 920
;.step param Xp3 .55 .6 .01
;.step param Xp3 .5 .6 .02  
;.step param Xp3 0 1 .2  ;  only about 8dB range - no H2 null
;.step param Xp3 .54 .6 .02 ; To get results must remove Cfegg
;.step param XP3  .1 .2 .02  ; To get results must remove Cfegg  wiper shorted
;.step param cb2 list 1pf 220uf
;.step param Ccm2 list 10uf 220uf

;.step param XPJ1bias 0 1 .2


;.step param dRs -5 5 5 ; this doesn't make much difference.

;.params XP89=0 RP89=200k

;.step param XP89 .1 .9 .2
;.step param XP89 .3 .7 .2
;.step param j74rs 4 8 2 
;.step param j74id 6.6m 7m .05m  ; 6.8m is min with pure resistive load THD=.0016%  H2/H3=9dB H@ phase=0

;.step param Rcfb1 list 22k 33k 47k 75k 1e10
;.step param Rcfb1 40k 50k 2k
;.step param Rcfb1 list 47k 1e10

;.step param XPFC .1 .9 .2

;.step param Cfepwra list 1.2mf 3.3mf
;.step param Rfepwr list 10 22

;.step param Cfepwra list 3.0mf 4.4mf
;.step param Rfepwr list 9.4 20

;.step param Vp list 44 35
;.step param Vp list 44 32
;.step param Rload list 4 8

;.step param VGin list 0 .1mv
