
;;(defun rint(vout1 rx1 vout2 rx2)(/ (* rx1 rx2 (- vout1 vout2))(- (* rx1 vout2) (* rx2 vout1))))

;.include SIT3X-FCFE-base.spc

.include models.spc

.params K170gm=31m K170Rs=4 K170lam=1.923m
.params J74gm=33.4m J74Rs=8 J74lam=4.464m
;.params k170Id=8.7m J74Id=K170Id
;.params J74Id=K170Id ;k170Id=5.5m

.params JTEMP=35C FETEMP=JTEMP MTEMP=50C

.params dRs=0 R10=Rs+dRs R11=Rs-dRs

.params Rcascr=4k75

.measure M_FEOut_avg avg V(FEOut)
.measure M_FEOut_pp pp V(FEOut)
.measure M_FEIn_pp pp V(In)
.measure M_FEGain param M_FEOut_pp/M_FEIn_pp
.measure P_Rcasc3 param Rcasc3

;; standalone power supply for FCFE
.params VFp=44 VFm=VFp VFrip=Vrip
.params  VFpwr=Vp-70ma*Rfepwr Rfepwr=Rfepwra Cfepwr=Cfepwra Rfepwra=20R Cfepwra=3.3mF 

; Input Ground Isolation
.params RGinG=0R47
.params VGinG=0;  simulated ground noise level on input ground

; TL431 cathode current might be below 1ma
;.params Rcasc3=47k R37ab=24k Rtl=3.9k Rtl0=2.2k RPtl=2k XPtl=.567 XPtl1=Xptl-dXptl XPtl2=Xptl+dXptl dXptl=7m  ; sim gives 0mA-120mA FET bias range with pot from 0 to 1
;; increase TL431 cathode current to 3.3mA R37a/b should probably be 1/2W
.params Rcasc3=47k R37ab=10k Rtl=3.9k Rtl0=2.2k RPtl=2k XPtl=.567 XPtl1=Xptl-dXptl XPtl2=Xptl+dXptl dXptl=7m  ; sim gives 0mA-120mA FET bias range with pot from 0 to 1

.params FEgain=16.225  k170Id=6m J74Id=6m  RFB=1e10 R1=4k75 Cjg=.1pf Rin=47k R3=4.7k R4=270 I12=21mA I34=50mA Rd=240 Rs=22 Rs1=470

;.params Cfegg=220uf Ccasc2=220uF Rgs34=100 Rgs12=470 ; 1W .007% good spectra Rgs34 not needed essentially same as above
.params Rgs12=470 ;

;.params RP3=10R Xp3=.56
.params RP3=1m Xp3=.5  ; disable P3
